<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateChatTable extends Migration {

	public function up()
	{
		Schema::create('chat', function(Blueprint $table) {
			$table->increments('id');
			$table->tinyInteger('chat_relation');
			$table->integer('first_user_id');
			$table->integer('second_user_id');
			$table->tinyInteger('status')->default('0');
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('chat');
	}
}