<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateChatThreadsTable extends Migration {

	public function up()
	{
		Schema::create('chat_threads', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('chat_id');
			$table->integer('sender_id');
			$table->integer('receiver_id');
			$table->text('message');
			$table->tinyInteger('is_read');
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('chat_threads');
	}
}